Index: branches/libIGCM_CESMEP/AA_create_ts
===================================================================
--- branches/libIGCM_CESMEP/AA_create_ts	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_create_ts	(revision 1585)
@@ -70,13 +70,22 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $POST_DIR ; $Script_Post_Output ; $MASTER ; $RebuildFrequency ; $DateBegin ; $PeriodDateEnd ; $StandAlone ; $CompletedFlag ; $TsTask ; $CompToRead ; $FlagToRead ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N TS
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o TS.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N TS
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o TS.$$
+#-Q- obelix #PBS -S /bin/ksh
+#-Q- mesoipsl #!/bin/ksh
+#-Q- mesoipsl ######################
+#-Q- mesoipsl ## MESO ESPRI IPSL  ##
+#-Q- mesoipsl ######################
+#-Q- mesoipsl #SBATCH --job-name=TS         # Job Name
+#-Q- mesoipsl #SBATCH --output=TS.out_%I    # standard output
+#-Q- mesoipsl #SBATCH --error=TS.out_%I     # error output
+#-Q- mesoipsl #SBATCH -N  1                        # Number of core
+#-Q- mesoipsl #SBATCH --time=10:00:00       # Wall clock limit (seconds)
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
@@ -824,5 +833,5 @@
 if ( [ X${TsTask} = X2D ] || [ X${TsTask} = X3D ] || [ X${TsTask} = X ] ) ; then
   # From 2D and 3D it is the last one to finish that will submit the monitoring.
-  if [ ! "X$( grep "IGCM_sys_RmRunDir" ${POST_DIR}/create_ts.${PeriodDateEnd}.[23]D.out 2> /dev/null )" = "X" ] ; then
+  if ( [ $( ls ${POST_DIR}/create_ts.${PeriodDateEnd}.[23]D.out | wc -l ) = 1 ] || [ ! "X$( grep "IGCM_sys_RmRunDir" ${POST_DIR}/create_ts.${PeriodDateEnd}.[23]D.out 2> /dev/null )" = "X" ] ) ; then
     Script_Post_Output=monitoring.${PeriodDateEnd}
     IGCM_sys_QsubPost monitoring
@@ -832,5 +841,4 @@
   fi
 fi
-
 #D-
 # --------------------------------------------------------------------
Index: branches/libIGCM_CESMEP/AA_job
===================================================================
--- branches/libIGCM_CESMEP/AA_job	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_job	(revision 1585)
@@ -99,15 +99,27 @@
 #-Q- ada # End of the header options
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N ::Jobname::
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q mediump
-#-Q- lxiv8 #PBS -o Script_Output_::Jobname::.000001
-#-Q- lxiv8 #PBS -S /bin/ksh
-#-Q- lxiv8 #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
-#-Q- lxiv8 #PBS -l nodes=1:ppn=::JobNumProcTot::
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N ::Jobname::
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q mediump
+#-Q- obelix #PBS -o Script_Output_::Jobname::.000001
+#-Q- obelix #PBS -S /bin/ksh
+#-Q- obelix #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
+#-Q- obelix #PBS -l nodes=1:ppn=::JobNumProcTot::
+#-Q- mesoipsl #!/bin/ksh
+#-Q- mesoipsl ######################
+#-Q- mesoipsl ## MESO ESPRI IPSL  ##
+#-Q- mesoipsl ######################
+#-Q- mesoipsl #SBATCH --job-name=::Jobname::        # Job Name
+#-Q- mesoipsl #SBATCH --output=Script_Output_::Jobname::.000001    # standard output
+#-Q- mesoipsl #SBATCH --error=Script_Output_::Jobname::.000001    # error output
+#-Q- mesoipsl #SBATCH --ntasks=::JobNumProcTot::   # Number of MPI tasks
+#-Q- mesoipsl #SBATCH --cpus-per-task=::openMPthreads::  # Number of openMP threads.
+#-Q- mesoipsl #SBATCH --hint=nomultithread         # 1 processus MPI par par physical core (no hyperthreading) 
+#-Q- mesoipsl #SBATCH --time=30                    # Wall clock limit (minutes)
+#-Q- mesoipsl set +x
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
@@ -205,5 +217,5 @@
 #D- Default=false
 #D-
-BigBrother=true
+BigBrother=false
 
 #D- Set DEBUG_sys to false to disable output calls of function
@@ -232,8 +244,8 @@
 #R_IN=/u/rech/por/rpor111/DATA
 
-#D- Turn in dry run mode ? (0,1,2,3)
+#D- Turn in dry run mode ? (0,1,2,3,4)
 #D- Default=0
 #D-
-#DRYRUN=3
+DRYRUN=0
 #D-# YOU HAVE TO COMPILE YOUR EXE FILES to USE DRYRUN MODE !
 #D-# -------------------------------------------------------------------------------------
@@ -250,5 +262,6 @@
 #D-# |    3     |       yes           |    no      |  no     |      no                   |
 #D-# -------------------------------------------------------------------------------------
-
+#D-# |    4     |       yes           |    yes     |  creation of RUN_DIR and Job_debug  |
+#D-# -------------------------------------------------------------------------------------
 #D-
 # --------------------------------------------------------------------------------------------------#
@@ -520,34 +533,38 @@
 
   echo "========================================================================"
-  if [ ${DRYRUN} -le 1 ] ; then
-    REAL_DATE_INIT=$( date )
-    echo                                                                                   > ${Exe_Output}
-    echo "#######################################"                                        >> ${Exe_Output}
-    echo "EXECUTION of : ${EXECUTION}"
-    echo "EXECUTION of : ${EXECUTION}"                                                    >> ${Exe_Output}
-    echo                                                                                  >> ${Exe_Output}
-    typeset RET
-    RUN_DATE_BEGIN=$( date '+%Y-%m-%dT%H:%M:%S' )
-    ${EXECUTION}  >> ${Exe_Output} 2>&1
-    RET=$?
-    RUN_DATE_END=$( date '+%Y-%m-%dT%H:%M:%S' )
-    if [ ${RET} -gt 0 ] ; then
-      echo "Return code of executable :" ${RET}
-      IGCM_debug_Exit "EXECUTABLE"
-      IGCM_sys_Mkdir ${SUBMIT_DIR}/Debug
-      IGCM_sys_Cp ${Exe_Output} ${SUBMIT_DIR}/Debug/${PREFIX}_${Exe_Output}_error
-      ExecutionFail=true
-    fi
-    echo                                            >> ${Exe_Output}
-    echo "#######################################"  >> ${Exe_Output}
-    echo "libIGCM RunDateBegin=${RUN_DATE_BEGIN}"   >> ${Exe_Output}
-    echo "libIGCM RunDateEnd=${RUN_DATE_END}"       >> ${Exe_Output}
-    echo                                            >> ${Exe_Output}
+  if [ ${DRYRUN_DEBUG} = 4 ] ; then
+      IGCM_sys_create_run_dir 
   else
-    echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN
-    echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN > ${Exe_Output}
-    if ( $DEBUG_debug ) ; then
-      echo "FOR EXECUTION DRYRUN mode = " $DRYRUN >> stack
-    fi
+      if [ ${DRYRUN} -le 1 ] ; then
+	  REAL_DATE_INIT=$( date )
+	  echo                                                                                   > ${Exe_Output}
+	  echo "#######################################"                                        >> ${Exe_Output}
+	  echo "EXECUTION of : ${EXECUTION}"
+	  echo "EXECUTION of : ${EXECUTION}"                                                    >> ${Exe_Output}
+	  echo                                                                                  >> ${Exe_Output}
+	  typeset RET
+	  RUN_DATE_BEGIN=$( date '+%Y-%m-%dT%H:%M:%S' )
+	  ${EXECUTION}  >> ${Exe_Output} 2>&1
+	  RET=$?
+	  RUN_DATE_END=$( date '+%Y-%m-%dT%H:%M:%S' )
+	  if [ ${RET} -gt 0 ] ; then
+	      echo "Return code of executable :" ${RET}
+	      IGCM_debug_Exit "EXECUTABLE"
+	      IGCM_sys_Mkdir ${SUBMIT_DIR}/Debug
+	      IGCM_sys_Cp ${Exe_Output} ${SUBMIT_DIR}/Debug/${PREFIX}_${Exe_Output}_error
+	      ExecutionFail=true
+	  fi
+	  echo                                            >> ${Exe_Output}
+	  echo "#######################################"  >> ${Exe_Output}
+	  echo "libIGCM RunDateBegin=${RUN_DATE_BEGIN}"   >> ${Exe_Output}
+	  echo "libIGCM RunDateEnd=${RUN_DATE_END}"       >> ${Exe_Output}
+	  echo                                            >> ${Exe_Output}
+      else
+	  echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN
+	  echo "EXECUTION of : ${EXECUTION} simulated for DRYRUN = " $DRYRUN > ${Exe_Output}
+	  if ( $DEBUG_debug ) ; then
+	      echo "FOR EXECUTION DRYRUN mode = " $DRYRUN >> stack
+	  fi
+      fi
   fi
   echo "========================================================================"
Index: branches/libIGCM_CESMEP/AA_job_debug
===================================================================
--- branches/libIGCM_CESMEP/AA_job_debug	(revision 1585)
+++ branches/libIGCM_CESMEP/AA_job_debug	(revision 1585)
@@ -0,0 +1,256 @@
+#-Q- curie #!/bin/ksh
+#-Q- curie ######################
+#-Q- curie ## CURIE   TGCC/CEA ##
+#-Q- curie ######################
+#-Q- curie #MSUB -r ::Jobname::        # Job Name
+#-Q- curie #MSUB -o Script_Output_::Jobname::.000001    # standard output
+#-Q- curie #MSUB -e Script_Output_::Jobname::.000001    # error output
+#-Q- curie #MSUB -eo
+#-Q- curie #MSUB -n ::JobNumProcTot::  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#-Q- curie #MSUB -c ::openMPthreads::  # Number of openMP threads. To specify only for SMPD
+#-Q- curie #MSUB -x                    # exclusive node. To specify only for MPMD together with the one below
+#-Q- curie #MSUB -E '--cpu_bind=none'
+#-Q- curie ##MSUB -E '--distribution cyclic' 
+#-Q- curie #MSUB -T 86400              # Wall clock limit (seconds)
+#-Q- curie #MSUB -q standard           # thin nodes
+#-Q- curie ##MSUB -U high
+#-Q- curie #MSUB -U medium
+#-Q- curie ##MSUB -U low
+#-Q- curie #MSUB -A ::default_project::
+#-Q- curie #MSUB -E --no-requeue
+#-Q- curie # Below specific options that can be activated 
+#-Q- curie ##MSUB -q ivybridge         # Option for Airain
+#-Q- curie
+#-Q- curie BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
+#-Q- curie set +x
+#-Q- irene #!/bin/ksh
+#-Q- irene ######################
+#-Q- irene ## IRENE   TGCC/CEA ##
+#-Q- irene ######################
+#-Q- irene #MSUB -r ::Jobname::        # Job Name
+#-Q- irene #MSUB -o Script_Output_::Jobname::.000001    # standard output
+#-Q- irene #MSUB -e Script_Output_::Jobname::.000001    # error output
+#-Q- irene #MSUB -eo
+#-Q- irene #MSUB -n ::JobNumProcTot::  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#-Q- irene #MSUB -c ::openMPthreads::  # Number of openMP threads. To specify only for SMPD
+#-Q- irene #MSUB -x                    # exclusive node. To specify only for MPMD together with the one below
+#-Q- irene #MSUB -E '--cpu_bind=none'
+#-Q- irene #MSUB -T ::WallTime::              # Wall clock limit (seconds)
+#-Q- irene #MSUB -A ::default_project::
+#-Q- irene #MSUB -q skylake
+#-Q- irene #MSUB -m store,work,scratch
+#-Q- irene
+#-Q- irene BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
+#-Q- irene set +x
+#-Q- irene-amd #!/bin/ksh
+#-Q- irene-amd ######################
+#-Q- irene-amd ## IRENE-AMD   TGCC/CEA ##
+#-Q- irene-amd ######################
+#-Q- irene-amd #MSUB -r ::Jobname::        # Job Name
+#-Q- irene-amd #MSUB -o Script_Output_::Jobname::.000001    # standard output
+#-Q- irene-amd #MSUB -e Script_Output_::Jobname::.000001    # error output
+#-Q- irene-amd #MSUB -eo
+#-Q- irene-amd #MSUB -n ::JobNumProcTot::  # Number of MPI tasks (SPMD case) or cores (MPMD case)
+#-Q- irene-amd #MSUB -c ::openMPthreads::  # Number of openMP threads. To specify only for SMPD
+#-Q- irene-amd #MSUB -x                    # exclusive node. To specify only for MPMD together with the one below
+#-Q- irene-amd #MSUB -T ::WallTime::              # Wall clock limit (seconds)
+#-Q- irene-amd #MSUB -A ::default_project::
+#-Q- irene-amd #MSUB -q rome
+#-Q- irene-amd #MSUB -m store,work,scratch
+#-Q- irene-amd
+#-Q- irene-amd BATCH_NUM_PROC_TOT=$BRIDGE_MSUB_NPROC
+#-Q- irene-amd set +x
+#-Q- jeanzay #!/bin/ksh
+#-Q- jeanzay ######################
+#-Q- jeanzay ## JEANZAY    IDRIS ##
+#-Q- jeanzay ######################
+#-Q- jeanzay #SBATCH --job-name=::Jobname::        # Job Name
+#-Q- jeanzay #SBATCH --output=Script_Output_::Jobname::.000001    # standard output
+#-Q- jeanzay #SBATCH --error=Script_Output_::Jobname::.000001    # error output
+#-Q- jeanzay #SBATCH --ntasks=::JobNumProcTot::   # Number of MPI tasks
+#-Q- jeanzay #SBATCH --cpus-per-task=::openMPthreads::  # Number of openMP threads.
+#-Q- jeanzay #SBATCH --hint=nomultithread         # 1 processus MPI par par physical core (no hyperthreading) 
+#-Q- jeanzay #SBATCH --time=::WallTime::             # Wall clock limit (minutes)
+#-Q- jeanzay #SBATCH --account ::default_project::@cpu
+#-Q- jeanzay
+#-Q- jeanzay ##BATCH_NUM_PROC_TOT=$BRIDGE_SBATCH_NPROC
+#-Q- jeanzay set +x
+#-Q- ada #!/bin/ksh
+#-Q- ada # ######################
+#-Q- ada # ##  ADA       IDRIS ##
+#-Q- ada # ######################
+#-Q- ada # Job name 
+#-Q- ada # @ job_name = ::Jobname::
+#-Q- ada # Standard output file name
+#-Q- ada # @ output = Script_Output_::Jobname::.000001
+#-Q- ada # Error output file name
+#-Q- ada # @ error = Script_Output_::Jobname::.000001
+#-Q- ada # Job type
+#-Q- ada # @ job_type = parallel
+#-Q- ada # Total number of tasks
+#-Q- ada # @ total_tasks = ::JobNumProcTot::
+#-Q- ada # Specific option for OpenMP parallelization: Number of OpenMP threads per MPI task
+#-Q- ada # @ parallel_threads = ::openMPthreads::
+#-Q- ada # Memory : as_limit=3.5gb max per process per core. With 4 threads per process use max as_limit=14gb
+#-Q- ada # @ as_limit = 3.5gb
+#-Q- ada # Maximum CPU time per task hh:mm:ss
+#-Q- ada # @ wall_clock_limit = 1:00:00
+#-Q- ada # @ environment = "BATCH_NUM_PROC_TOT=::JobNumProcTot::" ; wall_clock_limit=$(wall_clock_limit)
+#-Q- ada # End of the header options
+#-Q- ada # @ queue
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N ::Jobname::
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q mediump
+#-Q- obelix #PBS -o Script_Output_::Jobname::.000001
+#-Q- obelix #PBS -S /bin/ksh
+#-Q- obelix #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
+#-Q- obelix #PBS -l nodes=1:ppn=::JobNumProcTot::
+#-Q- mesoipsl #!/bin/ksh
+#-Q- mesoipsl ######################
+#-Q- mesoipsl ## MESO ESPRI IPSL  ##
+#-Q- mesoipsl ######################
+#-Q- mesoipsl #SBATCH --job-name=::Jobname::        # Job Name
+#-Q- mesoipsl #SBATCH --output=Script_Output_::Jobname::.000001    # standard output
+#-Q- mesoipsl #SBATCH --error=Script_Output_::Jobname::.000001    # error output
+#-Q- mesoipsl #SBATCH --ntasks=::JobNumProcTot::   # Number of MPI tasks
+#-Q- mesoipsl #SBATCH --cpus-per-task=::openMPthreads::  # Number of openMP threads.
+#-Q- mesoipsl #SBATCH --hint=nomultithread         # 1 processus MPI par par physical core (no hyperthreading) 
+#-Q- mesoipsl #SBATCH --time=30                    # Wall clock limit (minutes)
+#-Q- mesoipsl set +x
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD ##   CICLAD    IPSL ##
+#-Q- ifort_CICLAD ######################
+#-Q- ifort_CICLAD #PBS -N ::Jobname::
+#-Q- ifort_CICLAD #PBS -m a
+#-Q- ifort_CICLAD #PBS -j oe
+#-Q- ifort_CICLAD ###PBS -q h12   # Queue for 12 hours at ciclad only
+#-Q- ifort_CICLAD #PBS -o Script_Output_::Jobname::.000001
+#-Q- ifort_CICLAD #PBS -S /bin/ksh
+#-Q- ifort_CICLAD #PBS -v BATCH_NUM_PROC_TOT=::JobNumProcTot::
+#-Q- ifort_CICLAD #PBS -l nodes=1:ppn=::JobNumProcTot::
+#-Q- ifort_CICLAD #PBS -l mem=6gb
+#-Q- ifort_CICLAD #PBS -l vmem=30gb
+#-Q- default #!/bin/ksh
+#-Q- default ##################
+#-Q- default ## DEFAULT HOST ##
+#-Q- default ##################
+#-Q- default #For MPI use, uncomment next line :
+#-Q- default #BATCH_NUM_PROC_TOT=::JobNumProcTot::
+
+#**************************************************************
+# Author: Sebastien Denvil
+# Contact: Sebastien.Denvil__at__ipsl.jussieu.fr
+# $Revision:: 1536                                     $ Revision of last commit
+# $Author:: rpennel                                    $ Author of last commit
+# $Date:: 2020-07-03 15:16:53 +0200 (Fri, 03 Jul 2020) $ Date of last commit
+# IPSL (2006)
+#  This software is governed by the CeCILL licence see libIGCM/libIGCM_CeCILL.LIC
+#
+#**************************************************************
+
+date
+
+echo
+echo "#######################################"
+echo "#  ANOTHER GREAT DEBUG SIMULATION #"
+echo "#######################################"
+echo
+
+#D------------------------------------------------------
+#D- ENVIRONMENT
+#D-     - Loading environment needed to run
+#D------------------------------------------------------
+
+MODIPSL=::modipsl::
+libIGCM=${MODIPSL}/libIGCM
+SRF_comp=::SRF_comp::
+OCE_comp=::OCE_comp::
+CPL_comp=::CPL_comp::
+CHM_comp=::CHM_comp::
+JobName=::JOBNAME::
+::SUBMIT_DIR::
+ExecutionType=::EXECUTION_TYPE::
+
+#-Q- jeanzay . /gpfslocalsup/spack_soft/environment-modules/current/init/ksh
+#-Q- mesoipsl . /etc/profile.d/modules.sh
+
+. ./arch.env
+
+module list
+
+# Enable the copy of binary files from modipsl directory (default n)
+# Could be useful in case of modifications (and so recompilation) in the sources
+copy_executable=n
+
+#D------------------------------------------------------
+#D- EXECUTION
+#D-     - Copy binary files from modipsl directory (only if copy_executable=y)
+#D-     - Remove of some out restart files 
+#D-     - Execution
+#D------------------------------------------------------
+
+cd ${SUBMIT_DIR}
+
+if [ X${copy_executable} = Xy ] ; then
+while read EXEIN EXEOUT ;do
+ eval EXEIN=${EXEIN}
+ cp ${MODIPSL}/bin/${EXEIN} ${EXEOUT}
+done < components_binary.txt
+fi
+
+if [ X${SRF_comp} = Xy ] ; then
+  [ -f sechiba_rest_out.nc ] && rm -f sechiba_rest_out.nc
+  [ -f stomate_rest_out.nc ] && rm -f stomate_rest_out.nc
+  [ -f driver_rest_out.nc ] && rm -f driver_rest_out.nc
+fi
+if [ X${OCE_comp} = Xy ] ; then
+  [ X${JobName} != X ] && rm -f ${JobName}*restart*.nc
+fi
+
+if [ X${CPL_comp} = Xy ] ; then
+  if [ -f sstoc_orig.nc ] ; then
+    cp sstoc_orig.nc sstoc.nc
+    cp flxat_orig.nc flxat.nc
+    cp icbrg_orig.nc icbrg.nc
+    cp icshf_orig.nc icshf.nc
+  else
+   cp sstoc.nc sstoc_orig.nc
+   cp flxat.nc flxat_orig.nc
+   cp icbrg.nc icbrg_orig.nc
+   cp icshf.nc icshf_orig.nc
+  fi
+fi
+if [ X${CHM_comp} = Xy ] ; then
+  [ -f reprecipinsoil.dat ] && rm -f reprecipinsoil.dat
+fi
+
+#-Q- jeanzay #Case MPMD + MPI/OpenMP
+#-Q- jeanzay if [ ${ExecutionType} -eq 2 ] ; then
+#-Q- jeanzay    _bkIFS=$IFS;
+#-Q- jeanzay    IFS=$'\n'; set -f
+#-Q- jeanzay    listnodes=($(< <( scontrol show hostnames $SLURM_JOB_NODELIST )))
+#-Q- jeanzay    IFS=$_bkIFS; set +f
+#-Q- jeanzay    rm -f hostlist ; cp hostlist_template hostlist
+#-Q- jeanzay    for nb_proc in `seq 0 $(($SLURM_JOB_NUM_NODES-1))`; do
+#-Q- jeanzay        mv hostlist hostlist_tmp
+#-Q- jeanzay        host_value=${listnodes[${nb_proc}]}
+#-Q- jeanzay        sed -e "s/node_${nb_proc}_X/${host_value}/" hostlist_tmp > hostlist
+#-Q- jeanzay    done
+#-Q- jeanzay    export SLURM_HOSTFILE=./hostlist
+#-Q- jeanzay fi
+#-Q- jeanzay # Workaround at Jean-Zay
+#-Q- jeanzay source $I_MPI_ROOT/intel64/bin/mpivars.sh release_mt
+
+
+::EXECUTION:: > out_execution  2>&1
+RET=$?
+if [ ${RET} -gt 0 ] ; then
+    echo "Return code of executable :" ${RET}
+fi
+
+date
+exit
Index: branches/libIGCM_CESMEP/AA_metrics_LMDZ
===================================================================
--- branches/libIGCM_CESMEP/AA_metrics_LMDZ	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_metrics_LMDZ	(revision 1585)
@@ -58,13 +58,13 @@
 #-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N METRICS_LMDZ
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q test
-#-Q- lxiv8 #PBS -o METRICS_LMDZ.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N METRICS_LMDZ
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q test
+#-Q- obelix #PBS -o METRICS_LMDZ.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_metrics_NEMO
===================================================================
--- branches/libIGCM_CESMEP/AA_metrics_NEMO	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_metrics_NEMO	(revision 1585)
@@ -58,13 +58,13 @@
 #-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N METRICS_NEMO
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q test
-#-Q- lxiv8 #PBS -o METRICS_NEMO.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N METRICS_NEMO
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q test
+#-Q- obelix #PBS -o METRICS_NEMO.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_metrics_ORCHIDEE
===================================================================
--- branches/libIGCM_CESMEP/AA_metrics_ORCHIDEE	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_metrics_ORCHIDEE	(revision 1585)
@@ -58,13 +58,13 @@
 #-Q- ada # @ environment  = $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $R_INIT ; $R_BC ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $YEARS ; $DIR_OUT ; $MASTER ; $libIGCM_SX ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N METRICS_ORCHIDEE
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q test
-#-Q- lxiv8 #PBS -o METRICS_ORCHIDEE.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N METRICS_ORCHIDEE
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q test
+#-Q- obelix #PBS -o METRICS_ORCHIDEE.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_monitoring
===================================================================
--- branches/libIGCM_CESMEP/AA_monitoring	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_monitoring	(revision 1585)
@@ -73,13 +73,25 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $libIGCM ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N MONITORING
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o MONITORING.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N MONITORING
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o MONITORING.$$
+#-Q- obelix #PBS -S /bin/ksh
+#-Q- mesoipsl #!/bin/ksh 
+#-Q- mesoipsl ######################
+#-Q- mesoipsl ## MESO ESPRI IPSL  ##
+#-Q- mesoipsl ######################
+#-Q- mesoipsl #SBATCH --job-name=MONITORING         # Job Name
+#-Q- mesoipsl #SBATCH --output=MONITORING.out_%J    # standard output
+#-Q- mesoipsl #SBATCH --error=MONITORING.out_%J     # error output
+#-Q- mesoipsl #SBATCH --ntasks=1                    # Number of core
+#-Q- mesoipsl #SBATCH --hint=nomultithread          # 1 processus MPI par coeur physique (pas d'hyperthreading)
+#-Q- mesoipsl #SBATCH --time=10:00:00               # Wall clock limit (seconds)
+#-Q- mesoipsl set +x
+#-Q- mesoipsl exit
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_pack_debug
===================================================================
--- branches/libIGCM_CESMEP/AA_pack_debug	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_pack_debug	(revision 1585)
@@ -70,13 +70,13 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N PACKDEBUG
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o PACKDEBUG.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N PACKDEBUG
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o PACKDEBUG.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_pack_output
===================================================================
--- branches/libIGCM_CESMEP/AA_pack_output	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_pack_output	(revision 1585)
@@ -72,13 +72,13 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N PACKOUTPUT
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o PACKOUTPUT.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N PACKOUTPUT
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o PACKOUTPUT.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_pack_restart
===================================================================
--- branches/libIGCM_CESMEP/AA_pack_restart	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_pack_restart	(revision 1585)
@@ -70,13 +70,13 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $POST_DIR ; $Script_Post_Output ; $SUBMIT_DIR ; $PeriodDateBegin ; $DateBegin ; $DateEnd ; $PeriodPack ; $StandAlone ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N PACKRESTART
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o PACKRESTART.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N PACKRESTART
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o PACKRESTART.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
Index: branches/libIGCM_CESMEP/AA_purge_simulation
===================================================================
--- branches/libIGCM_CESMEP/AA_purge_simulation	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_purge_simulation	(revision 1585)
@@ -38,5 +38,5 @@
 #D- Default=false
 #D-
-BigBrother=true
+BigBrother=false
 
 
Index: branches/libIGCM_CESMEP/AA_rebuild_fromWorkdir
===================================================================
--- branches/libIGCM_CESMEP/AA_rebuild_fromWorkdir	(revision 1567)
+++ branches/libIGCM_CESMEP/AA_rebuild_fromWorkdir	(revision 1585)
@@ -60,13 +60,13 @@
 #-Q- ada # @ environment  = $DEBUG_debug ; $BigBrother ; $postProcessingStopLevel ; $MODIPSL ; $libIGCM ; $libIGCM_SX ; $SUBMIT_DIR ; $REBUILD_DIR ; $POST_DIR ; $Script_Post_Output ; $DateBegin ; $PeriodDateBegin ; $PeriodDateEnd ; $NbRebuildDir ; $StandAlone ; $RESOL_ATM ; $RESOL_OCE ; $RESOL_ICE ; $RESOL_MBG ; $RESOL_SRF ; $RESOL_SBG ; $MASTER ; wall_clock_limit=$(wall_clock_limit)
 #-Q- ada # @ queue
-#-Q- lxiv8 ######################
-#-Q- lxiv8 ## OBELIX      LSCE ##
-#-Q- lxiv8 ######################
-#-Q- lxiv8 #PBS -N REBUILDWRK
-#-Q- lxiv8 #PBS -m a
-#-Q- lxiv8 #PBS -j oe
-#-Q- lxiv8 #PBS -q medium
-#-Q- lxiv8 #PBS -o REBUILDWRK.$$
-#-Q- lxiv8 #PBS -S /bin/ksh
+#-Q- obelix ######################
+#-Q- obelix ## OBELIX      LSCE ##
+#-Q- obelix ######################
+#-Q- obelix #PBS -N REBUILDWRK
+#-Q- obelix #PBS -m a
+#-Q- obelix #PBS -j oe
+#-Q- obelix #PBS -q medium
+#-Q- obelix #PBS -o REBUILDWRK.$$
+#-Q- obelix #PBS -S /bin/ksh
 #-Q- ifort_CICLAD ######################
 #-Q- ifort_CICLAD ##   CICLAD    IPSL ##
